--
-- Created by IntelliJ IDEA.
-- User: Rob
-- Date: 08/08/12
-- Time: 00:05
-- To change this template use File | Settings | File Templates.
--


-- Sample usage:

local libmapdata = LibStub("LibMapData-1.0");

-- get the size of Coth defaulting to the first floor size
local width, height = libmapdata:MapArea('CoTStratholme');
print(string.format("Map %q is %d x %d", 'CoTStratholme', width, height));

-- get the size of the 8th floor of icc
width, height = libmapdata:MapArea('IcecrownCitadel', 8)
print(string.format("Map %q is %d x %d", 'IcecrownCitadel', width, height));

-- get the size of the Arati mapfile.
width, height = libmapdata:MapArea('Arathi')
print(string.format("Map %q is %d x %d", 'Arathi', width, height));

--[[
The floors are optional and if a given floor is not found 0,0 will be returned. This lib came about as a result of
several addons needing the data, and simply copying and pasting them in each copy occupies around 44k of memory.
--]]

-- LibMapData now supports Mapchanged callback event. Sample usage:

libmapdata = LibStub("LibMapData-1.0");
libmapdata:RegisterCallback("MapChanged", function(event ,map, floor, w, h)
	print(string.format("Map is now %q size %d x %d", map, w, h));
end )

